diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 493e18c..e7d7e77 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -8531,16 +8531,17 @@ digraph pic {
 --R ?=? : (%,%) -> Boolean                affinePoint : List K -> %
 --R coerce : List K -> %                  coerce : % -> List K
 --R coerce : % -> OutputForm              conjugate : % -> %
---R conjugate : (%,NNI) -> %              definingField : % -> K
---R degree : % -> PositiveInteger         ?.? : (%,Integer) -> K
---R hash : % -> SingleInteger             latex : % -> String
---R list : % -> List K                    orbit : (%,NNI) -> List %
+--R definingField : % -> K                degree : % -> PositiveInteger
+--R ?.? : (%,Integer) -> K                hash : % -> SingleInteger
+--R latex : % -> String                   list : % -> List K
 --R orbit : % -> List %                   origin : () -> %
 --R pointValue : % -> List K              rational? : % -> Boolean
---R rational? : (%,NNI) -> Boolean        setelt : (%,Integer,K) -> K
---R ?~=? : (%,%) -> Boolean              
+--R setelt : (%,Integer,K) -> K           ?~=? : (%,%) -> Boolean
+--R conjugate : (%,NonNegativeInteger) -> %
+--R orbit : (%,NonNegativeInteger) -> List %
+--R rational? : (%,NonNegativeInteger) -> Boolean
 --R removeConjugate : List % -> List %
---R removeConjugate : (List %,NNI) -> List %
+--R removeConjugate : (List %,NonNegativeInteger) -> List %
 --R
 --E 1
 
diff --git a/changelog b/changelog
index ed918d7..d307b0d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100516 tpd src/axiom-website/patches.html 20100516.04.tpd.patch
+20100516 tpd books/bookvol10.2 fix AffineSpaceCategory.input NNI bug
 20100516 tpd src/axiom-website/patches.html 20100516.03.tpd.patch
 20100516 tpd src/algebra/Makefile help and test AFFSP
 20100516 tpd books/bookvol5 expose AffineSpace
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 41c163d..0b97672 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2731,5 +2731,7 @@ books/bookvol10.2 add AffineSpaceCategory<br/>
 books/bookvol10.2 fix NNI and export list typos<br/>
 <a href="patches/20100516.03.tpd.patch">20100516.03.tpd.patch</a>
 books/bookvol10.3 add AffineSpace<br/>
+<a href="patches/20100516.04.tpd.patch">20100516.04.tpd.patch</a>
+books/bookvol10.2 fix AffineSpaceCategory.input NNI bug<br/>
  </body>
 </html>
